org.bouncycastle.asn1.cmp

## Class RevDetails

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cmp.RevDetails

All Implemented Interfaces:
  DEREncodable

    public class RevDetails
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`CertTemplate` `getCertDetails()`
`X509Extensions` `getCrlEntryDetails()`
`static RevDetails` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` RevDetails ::= SEQUENCE { certDetails CertTemplate, -- allows requester to specify as much as they can about -- the cert. for which revocation is requested -- (e.g., for cases in which serialNumber is not available) crlEntryDetails Extensions OPTIONAL -- requested crlEntryExtensions }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static RevDetails getInstance(java.lang.Object o)

#### getCertDetails

    public CertTemplate getCertDetails()

#### getCrlEntryDetails

    public X509Extensions getCrlEntryDetails()

#### toASN1Object

    public DERObject toASN1Object()

     RevDetails ::= SEQUENCE {
                      certDetails         CertTemplate,
                       -- allows requester to specify as much as they can about
                       -- the cert. for which revocation is requested
                       -- (e.g., for cases in which serialNumber is not available)
                       crlEntryDetails     Extensions       OPTIONAL
                       -- requested crlEntryExtensions
                 }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.